Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataSetWriter Class Reference

`#include <vtkDataSetWriter.h>`

Inheritance diagram for vtkDataSetWriter:

[legend]
Collaboration diagram for vtkDataSetWriter:

[legend]
List of all members.

## Detailed Description

write any type of vtk dataset to file

Date:
  2002/01/22 15:38:11

Revision:
  1.43

vtkDataSetWriter is an abstract class for mapper objects that write their data to disk (or into a communications port). The input to this object is a dataset of any type.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (68%)
  - Law, Charles (13%)
  - Martin, Ken (12%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkDataSetWriter.h)`
  - .`cxx` (`/IO/vtkDataSetWriter.cxx)`

Tests:
  vtkDataSetWriter (Tests)

Definition at line 47 of file vtkDataSetWriter.h.

## Public Types
typedef vtkDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkDataSet *input)
vtkDataSet * | GetInput ()
## Static Public Methods
vtkDataSetWriter * | New ()
int | IsTypeOf (const char *type)
vtkDataSetWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataSetWriter ()
| ~vtkDataSetWriter ()
void | WriteData ()

## Member Typedef Documentation

typedef vtkDataWriter vtkDataSetWriter::Superclass

| Reimplemented from vtkDataWriter. Reimplemented in vtkPDataSetWriter. Definition at line 51 of file vtkDataSetWriter.h.

## Constructor & Destructor Documentation

vtkDataSetWriter::vtkDataSetWriter | ( |  | ) | `[inline, protected]`

| Definition at line 61 of file vtkDataSetWriter.h.

vtkDataSetWriter::~vtkDataSetWriter | ( |  | ) | `[inline, protected]`

| Definition at line 62 of file vtkDataSetWriter.h.

## Member Function Documentation

vtkDataSetWriter* vtkDataSetWriter::New | ( |  | ) | `[static]`

| Created object with default header, ASCII format, and default names for scalars, vectors, tensors, normals, and texture coordinates. Reimplemented from vtkDataWriter. Reimplemented in vtkPDataSetWriter.

virtual const char* vtkDataSetWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataWriter. Reimplemented in vtkPDataSetWriter.

int vtkDataSetWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataWriter. Reimplemented in vtkPDataSetWriter.

virtual int vtkDataSetWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataWriter. Reimplemented in vtkPDataSetWriter.

vtkDataSetWriter* vtkDataSetWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataWriter. Reimplemented in vtkPDataSetWriter.

void vtkDataSetWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataWriter. Reimplemented in vtkPDataSetWriter.

void vtkDataSetWriter::SetInput | ( | vtkDataSet * | input | ) |

| Set / get the input data or filter.

vtkDataSet* vtkDataSetWriter::GetInput | ( |  | ) |

| Set / get the input data or filter. Reimplemented from vtkWriter.

void vtkDataSetWriter::WriteData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkDataWriter.

The documentation for this class was generated from the following file:

- IO/vtkDataSetWriter.h